*{padding: 0;
margin: 0;}

.headerWrapper{
    max-width: 1170px;
    margin-left: auto;
    margin-right: auto;
}
nav{
    height: 3.25rem;
    padding: 1.2rem 0;
    text-decoration: none;
}
.headerLogo img{
    max-height: 4rem;
    float: left;
}

.headerButtons{
    padding: 0.5rem 0;
    cursor: pointer;
    
    
    
    
}

.headerButtons h2{
    float: right;
    text-decoration: none;
    font-size: 18px;
    font-weight: inherit;
    font-family: "europa", sans-serif;
    color: #7510F7;
    padding: 13px;
    border: 2px solid #7510F7;
    border-radius: 290486px;   
}

.headerButtons h2:hover{
    animation-delay: 0.1s;
    animation: headerButton 0.3s;
    color: white;
    background-color:#7510F7 ;
}

@keyframes headerButton {
    0%{
        background-color:white;
    }

    100%{
        background-color:#7510F7 ;
    }
}

.heroPadding{
    padding-top: 2rem;
}

.heroBody{
    padding: 3rem 1.5rem;
}

.heroContainer{
    max-width: 960px;
    margin: 0 auto;
    position: relative;
    width: auto;
    display: flex;
    justify-content: center;
}

.mainInfo{
    height: fit-content;
}

.mainInfo h1{
    color:#141c3a;
    font-weight: 700;
    margin-bottom: 1.5rem;
    line-height: 1.125;
    font-size: 3rem !important;
    font-family: "eurostile", sans-serif;
}

.mainInfo h2{
    color:#141c3a;
    text-align: center;
    font-family: "europa", sans-serif;
    font-weight: 200;
    line-height: 1.5;
    margin-bottom: 2rem;
}

.mainInfo img{
    width: auto;
    margin-top: 3rem;
    margin-left: auto;
    margin-right: auto;
    display: flex;
}

.heroBottom img{
    margin-top: 3rem;
    width: auto;
    margin-left: auto;
    margin-right: auto;
    display: flex;
    margin-bottom: -1px;
}

.aboutSection{
    padding: 5rem 1.5rem;
    padding-top: 5rem;
    padding-right: 1.5rem;
    padding-bottom: 5rem;
    padding-left: 1.5rem;
    font-family: "europa", sans-serif;
    font-weight: 800;
    color: white;
    height: 450px;
    background-color: #7510F7;
    display: flex;
    justify-content: center;
    align-items:center;
}

.aboutContainer{
    position: relative;
    top: -50px;
    text-align: center;
    width: 60%;
}

.aboutContainer h1{
    margin-bottom: 22px;
}

.aboutContainer h2{
    font-weight: 200;
}



.skillsContainer{
    box-shadow: 0 5px 5px 0 rgb(233 240 243 / 50%), 0 0 0 1px #e6ecf8;
    border-radius: 13px;
    margin-top: -9.5rem ;
    max-width: 1170px;
    height: fit-content;
    display: flex;
    margin-left: auto;
    margin-right: auto;
    background-color:white;
    margin-bottom: 8rem;
}

.skillsContainer h2{
    color:#141c3a;
    font-size: 20px;
    line-height: 30px;
    font-family: "eurostile", sans-serif;
    font-weight: 200;
    margin-bottom:2rem;
}

.skillsContainer h1{
    font-size: 1.5em;
    font-family: "eurostile", sans-serif;
    font-weight: 700;
    color: #141c3a;
    margin-bottom: 1.5rem;
}

.frontendSkill{
    padding: 1rem;
    border-right: 1px solid #e6ecf8;
    text-align: center;
    width: 33%;
    padding-top: 4rem;
}

.frontendSkill img{
    margin-bottom: 1.5rem;
}


.languages{
    padding: 1rem;
    border-right: 1px solid #e6ecf8;
    text-align: center;
    width: 33%;
    padding-top: 4rem;
}

.languages img{
    margin-bottom: 1.5rem;
}


.devTools{
    padding: 1rem;
    text-align: center;
    width: 33%;
    padding-top: 4rem;
}

.devTools img{
    margin-bottom: 1.5rem;
}

::-webkit-scrollbar {
    width: 6px;
    border-left: 1px solid #E6ECF8;
}

::-webkit-scrollbar-thumb {
    background-color: #141c3a;
}

.interest{
    text-align: center;
    font-family: "europa",sans-serif;
}

.interest h1{
    font-size: 26px;
    margin-bottom: 1.5rem;
    font-weight: 500;
}

.interest h2{
    font-size: 1.25rem;
    margin-bottom: 1.5rem;
    font-weight: 100;
}


.interest h3{
    margin-top: 1rem;
    width: fit-content;
    font-size: 18px;
    font-weight: inherit;
    font-family: "europa", sans-serif;
    color: #7510F7;
    padding: 13px;
    border: 2px solid #7510F7;
    border-radius: 290486px;
}

.StartButton{
    display: flex;
    justify-content: center;
    
}

.StartButton a{
    text-decoration: none;
}
.StartButton h3:hover{
    animation-delay: 0.1s;
    cursor: pointer;
    animation: headerButton 0.3s;
    color: white;
    background-color:#7510F7;
}

footer{
    text-align: center;
    margin-top: 6rem;
    height: fit-content;
    padding-bottom: 100px;
    background-color:#7510F7;
}

footer img{
    margin-top: 6rem;
    margin-bottom: 1rem;
    width: 70px;
    height: 70px;
}

footer h2{
    font-family: "europa",
    sans-serif;
    color: #fff;
    font-weight: 300;
    font-size: 1.6rem;
    margin: 2rem auto;
    max-width: 350px;
    opacity: 0.7;
}

.footerButtons{
    display: flex;
    align-items:center;
    justify-content: center;
}

.footerButtons a{
    height: 50px;
    width: 50px;
    font-size: 25px;
    margin-right: 15px;
    margin-left: 15px;
    text-decoration: none;
    color: white;
    display: flex;
    justify-content: center;
    align-items:center;
    margin: auto;
    border: 2px solid rgba(255, 255, 255, 0.3);
    border-radius: 100%;
    opacity: 1;
}

.footerButtonsWrapper{
    cursor: pointer;
    margin: 10px;
    
    opacity: 0.7;
    border-radius: 100%;
}

.footerButtonsWrapper h1 a:hover{
    color:#7510F7;
    background-color:white;
    border-radius: 100%;
    animation: footerButton 0.5s ;
}

@keyframes footerButton {
    0%{
        background-color:#7510F7;
    }

    100%{
        background-color:white;
    }
}


